<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::integration::test::TestCapabilityProvider Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.8.1</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1integration.html">integration</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_capability_provider.html">TestCapabilityProvider</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_capability_provider-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::integration::test::TestCapabilityProvider Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_test_capability_provider_8h_source.html">TestCapabilityProvider.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::integration::test::TestCapabilityProvider:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_capability_provider__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1integration_1_1test_1_1_test_capability_provider_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1integration_1_1test_1_1_test_capability_provider_inherit__map" id="alexa_client_s_d_k_1_1integration_1_1test_1_1_test_capability_provider_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capability_configuration_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::CapabilityConfiguration\lInterface" alt="" coords="5,5,259,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::integration::test::TestCapabilityProvider:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_capability_provider__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1integration_1_1test_1_1_test_capability_provider_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1integration_1_1test_1_1_test_capability_provider_coll__map" id="alexa_client_s_d_k_1_1integration_1_1test_1_1_test_capability_provider_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capability_configuration_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::CapabilityConfiguration\lInterface" alt="" coords="5,5,259,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a90f70ae397c635e859600f2c5e04255a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_capability_provider.html#a90f70ae397c635e859600f2c5e04255a">TestCapabilityProvider</a> ()=default</td></tr>
<tr class="separator:a90f70ae397c635e859600f2c5e04255a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa39186871a4f86e6e0d7c1338248adee"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_capability_provider.html#aa39186871a4f86e6e0d7c1338248adee">addCapabilityConfiguration</a> (const std::string &amp;interfaceType, const std::string &amp;interfaceName, const std::string &amp;interfaceVersion, const std::string &amp;interfaceConfig=&quot;&quot;)</td></tr>
<tr class="separator:aa39186871a4f86e6e0d7c1338248adee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a767879879ad073029051272d8f3b30c6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_capability_provider.html#a767879879ad073029051272d8f3b30c6">addCapabilityConfiguration</a> (const std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">avsCommon::avs::CapabilityConfiguration</a> &gt; &amp;capabilityConfiguration)</td></tr>
<tr class="separator:a767879879ad073029051272d8f3b30c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35bdf7f4dce0973c96faf14fd18fb606"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_capability_provider.html#a35bdf7f4dce0973c96faf14fd18fb606">clearCapabilityConfigurations</a> ()</td></tr>
<tr class="separator:a35bdf7f4dce0973c96faf14fd18fb606"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">CapabilityConfigurationInterface method overrides.</div></td></tr>
<tr class="memitem:a28bf0cea4a7f7e35871aa8fd10b046ed"><td class="memItemLeft" align="right" valign="top">std::unordered_set&lt; std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">avsCommon::avs::CapabilityConfiguration</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_capability_provider.html#a28bf0cea4a7f7e35871aa8fd10b046ed">getCapabilityConfigurations</a> () override</td></tr>
<tr class="separator:a28bf0cea4a7f7e35871aa8fd10b046ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capability_configuration_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capability_configuration_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capability_configuration_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::CapabilityConfigurationInterface</a></td></tr>
<tr class="memitem:ac5cec30da8c9039ec5eea44b82f018eb inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capability_configuration_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capability_configuration_interface.html#ac5cec30da8c9039ec5eea44b82f018eb">~CapabilityConfigurationInterface</a> ()=default</td></tr>
<tr class="separator:ac5cec30da8c9039ec5eea44b82f018eb inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capability_configuration_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A test capability provider that can provide the capabilities that you want to test with. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a90f70ae397c635e859600f2c5e04255a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90f70ae397c635e859600f2c5e04255a">&#9670;&nbsp;</a></span>TestCapabilityProvider()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::integration::test::TestCapabilityProvider::TestCapabilityProvider </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Constructor </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa39186871a4f86e6e0d7c1338248adee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa39186871a4f86e6e0d7c1338248adee">&#9670;&nbsp;</a></span>addCapabilityConfiguration() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::TestCapabilityProvider::addCapabilityConfiguration </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>interfaceType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>interfaceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>interfaceVersion</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>interfaceConfig</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Adds a capability configuration.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interfaceType</td><td>The interface type. </td></tr>
    <tr><td class="paramname">interfaceName</td><td>The interface name. </td></tr>
    <tr><td class="paramname">interfaceVersion</td><td>The interface version. </td></tr>
    <tr><td class="paramname">interfaceConfig</td><td>The interface config as a json string. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a767879879ad073029051272d8f3b30c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a767879879ad073029051272d8f3b30c6">&#9670;&nbsp;</a></span>addCapabilityConfiguration() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::TestCapabilityProvider::addCapabilityConfiguration </td>
          <td>(</td>
          <td class="paramtype">const std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">avsCommon::avs::CapabilityConfiguration</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>capabilityConfiguration</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Adds a capability configuration.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">capabilityConfiguration</td><td>The CapabilityConfiguration object. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a35bdf7f4dce0973c96faf14fd18fb606"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35bdf7f4dce0973c96faf14fd18fb606">&#9670;&nbsp;</a></span>clearCapabilityConfigurations()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::TestCapabilityProvider::clearCapabilityConfigurations </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Clears all capability configurations. </p>

</div>
</div>
<a id="a28bf0cea4a7f7e35871aa8fd10b046ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28bf0cea4a7f7e35871aa8fd10b046ed">&#9670;&nbsp;</a></span>getCapabilityConfigurations()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unordered_set&lt; std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">avsCommon::avs::CapabilityConfiguration</a> &gt; &gt; alexaClientSDK::integration::test::TestCapabilityProvider::getCapabilityConfigurations </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the configurations of the capability interfaces being implemented.</p>
<dl class="section return"><dt>Returns</dt><dd>A set of CapabilityConfigurations </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capability_configuration_interface.html#a1d4d5be614325de11563b2375fbb651c">alexaClientSDK::avsCommon::sdkInterfaces::CapabilityConfigurationInterface</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/private/tmp/release/1.8.1/avs-cpp-sdk-tools/cm/autoCM_privateRepo/avs-cpp-sdk/Integration/include/Integration/<a class="el" href="_test_capability_provider_8h_source.html">TestCapabilityProvider.h</a></li>
<li>/private/tmp/release/1.8.1/avs-cpp-sdk-tools/cm/autoCM_privateRepo/avs-cpp-sdk/Integration/src/<a class="el" href="_test_capability_provider_8cpp.html">TestCapabilityProvider.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.8.1 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
